%define	ver	0.6.0
%define rel	4mdk

%define major	2
%define libname %mklibname %{name} %{major}

%define build_doc 0

Summary:	Tree oriented XML editor for GNOME
Name:		mlview
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Editors
URL:		http://www.freespiders.org/projects/gmlview/
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.6/%{name}-%{version}.tar.bz2

%if %build_doc
BuildRequires:	doxygen
%endif
BuildRequires:	libgnomeui2-devel >= 2.0.3
BuildRequires:	libxml2-devel >= 2.4.30
BuildRequires:	libgtk+2.0-devel >= 2.0.6
BuildRequires:	libglade2.0-devel
Requires:	%{libname} = %{version}-%{release}

%description
Mlview is an attempt to develop a tree oriented XML editor for GNOME.
It purpose is to become a full fledged XML editor. Major features include:

* xmlNode "cut"/"copy" "paste as child" "paste as prev" "paste as next"
* A basic search feature
* multi docs edition
* Several views can be opened on the same document.
* "add child node" / "insert previous node" / "insert next node"
* namespace support
* On-demand validation.
* graphical error reporting. Parse/validation time errors reported graphically.
* When validation is switched on, MlView proposes an elements/attributes
  completion feature. When an element is added to the tree, MlView also adds
  the children elements required by the DTD for the document to be valid.
* Validation can be switched off. The XML document editon can then be done
  without any constraint.

%package -n %{libname}
Summary:	Essential library for mlview
Group:		System/Libraries

%description -n %{libname}
Mlview is an attempt to develop a tree oriented XML editor for GNOME.
This package contains the libraries needed to run mlview.

%prep
%setup -q

%build
%configure2_5x
%make

%if %build_doc
make apidoc
%endif

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << _EOF_ > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="editors_section.png" \
 longtitle="Tree oriented XML editor" \
 needs="x11" \
 section="Applications/Editors" \
 title="MlView XML editor"
_EOF_

%{find_lang} %{name}

# remove files not bundled
# "devel" files not useful yet
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a \
      $RPM_BUILD_ROOT%{_libdir}/lib*.la \
      $RPM_BUILD_ROOT%{_libdir}/lib*.so

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BRANCHES COPYING ChangeLog NEWS README TODO
%doc docs/mlview-internals/src/mlview-internals.xml
%if %build_doc
%doc docs/apis/
%endif
%{_bindir}/*
%{_datadir}/gnome-mlview
%{_menudir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so*

%changelog
* Thu Sep  4 2003 Olivier Blin <oliv.blin@laposte.net> 0.6.0-4mdk
- fix changelog

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-3mdk
- one more attempt

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-2mdk
- rebuild to get back binary rpms

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- 0.6.0 red hot from oven

* Sat Aug 30 2003 Abel Cheung <deaddog@deaddog.org> 0.6.0-0.20030831.1mdk
- heading for 0.6 instead (according to author)

* Sun Aug 17 2003 Abel Cheung <deaddog@deaddog.org> 0.5.0-0.20030817.1mdk
- First Mandrake spec
- API doc not built, since the devel stuff is not useful yet
